#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 6. Text Editors

- Prev

  JOE-4.6

- Next

  mousepad-0.7.0

- Up
- Home

# kate-25.12.2

## Introduction to Kate

The Kate package contains an advanced KDE Frameworks-based graphical text editor.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/25.12.2/src/kate-25.12.2.tar.xz

- Download MD5 sum: 70b82a5f600c20efa444d2a1b1b8bbfb

- Download size: 8.1 MB

- Estimated disk space required: 539 MB

- Estimated build time: 0.0 SBU (using parallelism=4)

### Kate Dependencies

#### Required

KDE Frameworks-6.23.0

## Installation of Kate

Install Kate by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX  \
          -D CMAKE_BUILD_TYPE=Release          \
          -D BUILD_TESTING=OFF                 \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kate and kwrite
Installed Libraries: Several plugins under $KF6_PREFIX/lib/plugins
Installed Directories: $KF6_PREFIX/lib/plugins/ktexteditor, $KF6_PREFIX/lib/plugins/plasma/dataengine, $KF6_PREFIX/share/doc/HTML/*/{kate,katepart,kwrite}, $KF6_PREFIX/share/{kateproject,katexmltools}, and $KF6_PREFIX/share/plasma/plasmoids/org.kde.plasma.katesessions

### Short Descriptions

kate | is an advanced text editor for KDE
kwrite | is a minimal text editor for KDE

- Prev

  JOE-4.6

- Next

  mousepad-0.7.0

- Up
- Home